=== debian/changelog ===
zxing-cpp (1.4.0-3) unstable; urgency=medium

  * Team upload.
  * debian/control: remove libzxing2 breaks libzxingcore1

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 30 Dec 2022 10:55:50 +0100

zxing-cpp (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * source-only upload

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 29 Dec 2022 22:26:10 +0100

zxing-cpp (1.4.0-1) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * Team upload.
  * Upload 1.4.0 to unstable, starting transition.

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Build-depends on python3-dev instead of python3-all-dev.
    (Closes: #1024316)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 29 Dec 2022 17:59:37 +0100

zxing-cpp (1.4.0-1~exp2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * add patch from upstream to work with libfmt v9.0.0 (closes: #1021686)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 26 Dec 2022 22:19:47 +0100

zxing-cpp (1.4.0-1~exp2) experimental; urgency=medium

  * Introduce new package zxing-cpp-tools for ZXingReader and
    ZXingWriter binaries. (Closes: #1021419)
  * debian/copyright: Refresh copyright information.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 17:30:15 -0400

zxing-cpp (1.4.0-1~exp1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove unused license definitions for public-domain.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/patches: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 16:23:43 -0400

zxing-cpp (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dep libstb-dev.
  * debian/copyright: Refresh information.
  * Bump SONAME to 2 in advance, rename packages accordingly:
    + libzxing1 -> libzxing2.

 -- Boyuan Yang <byang@debian.org>  Mon, 09 May 2022 11:05:17 -0400

zxing-cpp (1.2.0+git20211228+ds1-1~exp3) experimental; urgency=medium

  * Partially re-enable BLACKBOX tests. (Closes: #1004653)
    + Also patch test/blackbox/CMakeLists.txt for partial test.

 -- Boyuan Yang <byang@debian.org>  Mon, 31 Jan 2022 12:27:22 -0500

zxing-cpp (1.2.0+git20211228+ds1-1~exp2) experimental; urgency=medium

  * debian/python3-zxing-cpp.docs: Also install README.md.
  * debian/python3-zxing-cpp.examples: Also install example scripts.

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Jan 2022 13:22:33 -0500

zxing-cpp (1.2.0+git20211228+ds1-1~exp1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove constraints unnecessary since buster.

  [ Boyuan Yang ]
  * New upstream version 1.2.0+git20211228+ds1.
    + ds: Remove test/samples for now due to unclear license.
  * Rename package: libzxingcore* -> libzxing*.
  * Mark libzxing-dev as M-A: same.
  * debian/libzxing1.shlibs: Limit to latest release.
  * Enable python wrapper support: python3-zxing-cpp. (Closes: #993013)
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Jan 2022 15:23:13 -0500
