=== debian/control ===
Source: zxing-cpp
Section: libs
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libfmt-dev <!nocheck>,
 libopencv-dev,
 libstb-dev,
 pkg-config,
 pybind11-dev,
 python3,
 python3-dev,
 python3-numpy <!nocheck>,
 python3-pil <!nocheck>,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtmultimedia5-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/nu-book/zxing-cpp
Vcs-Git: https://salsa.debian.org/debian/zxing-cpp.git
Vcs-Browser: https://salsa.debian.org/debian/zxing-cpp

Package: libzxing-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libzxing2 (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 libzxingcore-dev (<< 1.3.0~),
Breaks:
 libzxingcore-dev (<< 1.3.0~),
Description: C++ port of ZXing library (development files)
 ZXing-C++ ("zebra crossing") is an open-source, multi-format 1D/2D
 barcode image processing library implemented in C++.
 .
 It was originally ported from the Java ZXing library but has been
 developed further and now includes many improvements in terms of
 quality and performance. It can both read and write barcodes in a
 number of formats:  QR Code, DataMatrix, Aztec, PDF417, UPC-A, UPC-E,
 EAN-8, EAN-13, DataBar/RSS, Code 39, Code 93, Code 128, Codabar, ITF.
 .
 This package provides development files for zxing-cpp library.

Package: libzxing2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ port of ZXing library (library files)
 ZXing-C++ ("zebra crossing") is an open-source, multi-format 1D/2D
 barcode image processing library implemented in C++.
 .
 It was originally ported from the Java ZXing library but has been
 developed further and now includes many improvements in terms of
 quality and performance. It can both read and write barcodes in a
 number of formats:  QR Code, DataMatrix, Aztec, PDF417, UPC-A, UPC-E,
 EAN-8, EAN-13, DataBar/RSS, Code 39, Code 93, Code 128, Codabar, ITF.
 .
 This package provides library files for zxing-cpp library.

Package: libzxingcore-dev
Architecture: all
Section: oldlibs
Depends:
 libzxing-dev,
 ${misc:Depends},
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: python3-zxing-cpp
Architecture: any
Section: python
Depends:
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: C++ port of ZXing library (python3 binding)
 ZXing-C++ ("zebra crossing") is an open-source, multi-format 1D/2D
 barcode image processing library implemented in C++.
 .
 It was originally ported from the Java ZXing library but has been
 developed further and now includes many improvements in terms of
 quality and performance. It can both read and write barcodes in a
 number of formats:  QR Code, DataMatrix, Aztec, PDF417, UPC-A, UPC-E,
 EAN-8, EAN-13, DataBar/RSS, Code 39, Code 93, Code 128, Codabar, ITF.
 .
 This package provides python3 binding for zxing-cpp library.

Package: zxing-cpp-tools
Architecture: any
Section: utils
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Utilities provided by ZXing library
 ZXing-C++ ("zebra crossing") is an open-source, multi-format 1D/2D
 barcode image processing library implemented in C++.
 .
 It was originally ported from the Java ZXing library but has been
 developed further and now includes many improvements in terms of
 quality and performance. It can both read and write barcodes in a
 number of formats:  QR Code, DataMatrix, Aztec, PDF417, UPC-A, UPC-E,
 EAN-8, EAN-13, DataBar/RSS, Code 39, Code 93, Code 128, Codabar, ITF.
 .
 This package provides various example utilities written with zxing-cpp
 library.
