=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#  # Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
#
# # see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#
# # see ENVIRONMENT in dpkg-buildflags(1)
# # package maintainers to append CFLAGS
# #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# # package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

%:
	dh $@ --with python3

# Disabled flags:
#
# BLACKBOX_TESTS: see #1004653
# UNIT_TESTS: requires tests/samples/* files with unclear license
# PYTHON_EXECUTABLE: force select default python version
override_dh_auto_configure:
	dh_auto_configure -- \
	        -DBUILD_BLACKBOX_TESTS=ON  \
	        -DBUILD_UNIT_TESTS=OFF     \
	        -DBUILD_PYTHON_MODULE=ON   \
	        -DBUILD_SYSTEM_DEPS=ALWAYS \
	        -DPYTHON_EXECUTABLE:FILEPATH=$(shell command -v $$(py3versions -d))
