## zxing-cpp 2.2.1

=== example/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,3 @@
-#show that it is possible to use the library (in its simples form) with a c++-11 compiler
-set (CMAKE_CXX_STANDARD 11)
-
 zxing_add_package_stb()
 
 include (GNUInstallDirs)
@@ -25,11 +22,15 @@
     install(TARGETS ZXingReader DESTINATION ${CMAKE_INSTALL_BINDIR})
 endif()
 
+find_package(Qt6 COMPONENTS Gui Multimedia Quick QUIET)
+if (NOT (Qt5_FOUND OR Qt6_FOUND))
+    message("INFO: Qt (Gui/Multimedia/Quick) not found, skipping Qt examples")
+endif()
+
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
+
 if (BUILD_READERS)
-    find_package(Qt5 COMPONENTS Gui Multimedia Quick)
-    set(CMAKE_AUTOMOC ON)
-    set(CMAKE_AUTORCC ON)
-
     if (TARGET Qt::Gui)
         add_executable (ZXingQtReader ZXingQtReader.cpp ZXingQtReader.h)
         target_link_libraries(ZXingQtReader ZXing::ZXing Qt::Gui)
@@ -40,10 +41,19 @@
         target_link_libraries(ZXingQtCamReader ZXing::ZXing Qt::Gui Qt::Multimedia Qt::Quick)
     endif()
 
-    find_package(OpenCV)
+    find_package(OpenCV QUIET)
     if (OpenCV_FOUND)
         add_executable (ZXingOpenCV ZXingOpenCV.cpp)
         target_include_directories (ZXingOpenCV PRIVATE ${OpenCV_INCLUDE_DIRS})
         target_link_libraries (ZXingOpenCV ZXing::ZXing ${OpenCV_LIBS})
+    else ()
+        message("INFO: OpenCV not found, skipping ZXingOpenCV example")
     endif()
 endif()
+
+if (BUILD_WRITERS)
+    if (TARGET Qt::Gui)
+        add_executable (ZXingQtWriter ZXingQtWriter.cpp)
+        target_link_libraries(ZXingQtWriter ZXing::ZXing Qt::Gui)
+    endif()
+endif()
