=== debian/changelog ===
zxing-cpp (2.2.1-3) unstable; urgency=medium

  * debian/control: Add python3-opencv <!nocheck> as build-dep.
  * debian/patches/backport/: Cherry-pick upstream-suggested patches
    and prepare for Ubuntu 24.04 LTS:
    - ac88bce74311fdbf376faf0bc88e90d0990d048a.patch
    - e607eb72b70e3c774821213184e1f546964db593.patch
    - handling/82be565c80495dd8c5c186a26eaeb95e3b2a0513.patch
    - handling/d6177733db1e5af6b010de08079476dc045af76f.patch
    - handling/89cac928c62c3fe833504dcef2e7f1af53b0786b.patch
    - crashfix/d1c34452b0a0a9a4936666e969c88f774f399c78.patch
    - crashfix/6ab17fdce1b8f0e605c1eb0266da63eca261529a.patch
    - cmdline/c580d1e0c0c53a58cea1789b5a9dd8e78b5a53e1.patch
    - cmdline/e01f2d4f8f5550f63f25e236be7058327895ecc7.patch
    - performance/fb617df67f497e5da13c8cad7e5d5e71bcb36a3f.patch
    - performance/19470ad786d534ba78025ae88b82013820721c26.patch

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Feb 2024 20:37:47 -0500

zxing-cpp (2.2.1-2) unstable; urgency=medium

  * debian/control: Drop transitional dummy package libzxingcore-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 09 Feb 2024 22:31:35 -0500

zxing-cpp (2.2.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Dec 2023 15:51:57 -0500

zxing-cpp (2.2.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/libzxing3.shlibs: Bump minimum reverse library version
    requirement to v2.2.1 (See upstream issue 685).
  * debian/patches/:
    + 0001-DecodeHints-limit-the-2.2.1-c-ABI-fix-to-shared-libr.patch:
      Backport upstream trunk patch to fix compatibility with zxing-cpp
      2.1.x series. This is less useful in the Debian world, but might
      be useful when using external binaries that are built against
      earlier zxing-cpp 2.x versions.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Dec 2023 14:49:13 -0500

zxing-cpp (2.1.0-3) experimental; urgency=medium

  * debian/rules:
    - Disable BUILD_UNIT_TESTS as suggested upstream. This flag should
      only be used in debug builds.
    - Use C++20 build to enable DataMatrix multi-symbol detection.
      (See #1028912)

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Oct 2023 13:55:00 -0400

zxing-cpp (2.1.0-2) experimental; urgency=medium

  * debian/copyright: Updated following upstream suggestion.
  * debian/rules: Set -DBUILD_DEPENDENCIES=LOCAL to force local build.
  * debian/: Drop Qt-based build-dep; not using them for now.
  * debian/rules: Try to export buildflags.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Oct 2023 15:13:55 -0400

zxing-cpp (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/: Bump library SONAME to 3.
  * debian/control:
    + Bump Standards-Version to 4.6.2.
    + Add build-dependency on libgtest-dev and libgmock-dev.
  * debian/patches: Drop all previous patches.
  * debian/gbp.conf: Enable ignore-branch setting.
  * debian/rules:
    - Drop disappeared BUILD_SYSTEM_DEPS flag.
    - Enable full googletest testing.
    - Skip tests that require test/samples/ directory.
    - Make the build follow nocheck build profile.
  * debian/libzueci/*: Add the original data files needed to regenerate
    libzueci C headers.

  [ Johannes Schauer Marin Rodrigue ]
  * debian/salsa-ci.yml: Added.
  * debian/: Update project homepage information.
  * debian/tests/autopkgtest-pkg-python.conf:
    + set module import_name for autodep8.

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Oct 2023 10:43:21 -0400
