=== debian/control ===
--- 
+++ 
@@ -3,24 +3,23 @@
 Priority: optional
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- cmake,
+ cmake (>= 3.15),
  debhelper-compat (= 13),
  dh-sequence-python3,
  libfmt-dev <!nocheck>,
- libopencv-dev,
+ libgmock-dev <!nocheck>,
+ libgtest-dev <!nocheck>,
  libstb-dev,
  pkg-config,
  pybind11-dev,
  python3,
  python3-dev,
  python3-numpy <!nocheck>,
+ python3-opencv <!nocheck>,
  python3-pil <!nocheck>,
- qtbase5-dev,
- qtdeclarative5-dev,
- qtmultimedia5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Homepage: https://github.com/nu-book/zxing-cpp
+Standards-Version: 4.6.2
+Homepage: https://github.com/zxing-cpp/zxing-cpp
 Vcs-Git: https://salsa.debian.org/debian/zxing-cpp.git
 Vcs-Browser: https://salsa.debian.org/debian/zxing-cpp
 
@@ -29,7 +28,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libzxing2 (= ${binary:Version}),
+ libzxing3 (= ${binary:Version}),
  ${misc:Depends},
 Replaces:
  libzxingcore-dev (<< 1.3.0~),
@@ -47,7 +46,7 @@
  .
  This package provides development files for zxing-cpp library.
 
-Package: libzxing2
+Package: libzxing3
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -64,15 +63,6 @@
  EAN-8, EAN-13, DataBar/RSS, Code 39, Code 93, Code 128, Codabar, ITF.
  .
  This package provides library files for zxing-cpp library.
-
-Package: libzxingcore-dev
-Architecture: all
-Section: oldlibs
-Depends:
- libzxing-dev,
- ${misc:Depends},
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
 
 Package: python3-zxing-cpp
 Architecture: any
@@ -98,8 +88,8 @@
 Architecture: any
 Section: utils
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: Utilities provided by ZXing library
  ZXing-C++ ("zebra crossing") is an open-source, multi-format 1D/2D
  barcode image processing library implemented in C++.
